import 'package:krow/core/data/models/skill.dart';
import 'package:krow/core/data/models/staff_role.dart';

abstract class StaffRoleRepository {
  Future<List<StaffRole>> getStaffRole();

  Future<List<Skill>> getSkills();

  Future<String> saveStaffRole(StaffRole role);

  Future<void> deleteStaffRole(StaffRole role);
}
